tjeagle10

How to make custom modpack load forge?

Recommended Posts

Hello,

I recently made a modpack called TJ ASWESOME'S Futurecraft. I have the mod folder I just can get it to realize forge is installed. whenever I load it, it just launches normal, vanilla minecraft 1.6.4. I have tried to get it but it won't work.

I have downloaded the FORGE UNIVERSAL and renamed it modpack.jar and placed it in the minecraft folder (not in mods, not versions just the .minecraft folder) Am I doing it wrong?

Thanks in advance!

Share this post


Link to post
Share on other sites

This looks like your most recent post so I'll analyze the pack here. In the future please keep the support requests for a single pack in one thread to prevent confusion and duplication of work.

  • You have the correct modpack.jar file, but it is in the wrong place. It belongs in the bin folder (which you need to create).
  • You need to remove all files except options.txt (and probably that one too) from the top level of your pack archive.
  • You need to completely remove the "assets", "libraries", "logs" and "versions" folders from your archive.
  • You have extremely old versions of some of your mods. Go through your mod folder and check for the latest version of each mod from the author's preferred distribution channels. I normally list the out of date mods, but for your pack it is just "most of them".
  • You have included a version of AdvancedPowerManagement mod for IC2 which will not work with your included version of IC2. There is no updated version of this mod and it will need to be removed.
  • If you are going to be using IC2 Experimental then I highly recommend looking at this post:
  • Since this pack has never started as Forge it is understandable that you have no config files yet. However, once you get that going you will need to include the entire config folder and its contents in your modpack archive.

Address all these issues and come back here if you are still having difficulties.

Share this post


Link to post
Share on other sites

I have been watching around on the forums looking for solutions, and i have seen the same face every time, plowmanplow, you have answered everyone, and told them how to fix there problems...Sadly my problem hasnt been solved yet...

The modpack i am trying to make http://www.technicpack.net/api/modpack/j-g-personal-modpack

I made a modpack for me and my brothers to play on and i spent a long time trying to fix the problems i have been occuring.. First i was using dropbox to be the direct download link for the modpack until i realized i would have to pay to get the share folder, so i moved onto copy(dot)com, which worked for me, and still does, so i go onto the technic launcher to go launch my modpack (which is using minecraft 1.6.4), it downloads everything just fine, but when it finishes launching it loads as vanilla minecraft. so i would close it out and go to the .technic folder wondering why the mods arent loading and they are just sitting there in the mods folder for the modpack....

I have checked every forum and never gotten this to work, although i see people celebrating saying the "solutions" worked for them...

What i did when making my modpack (step-by-step):
1. Made a folder called "modpack" on my desktop
2. Made 3 folders inside of it which include: bin, config, and mods.
3. I download the latest version of forge for 1.6.4, then rename it to modpack, then place it inside of the bin folder
4. the i get all the mods i want and place them inside of the mods folder (while making sure to get the mod versions for 1.6.4 and stuff)
5. then i select the modpack folder and compress it into a ZIP file.
6. then i would go to Copy(dot)com and then make my account. Then i drag the modpack.zip onto the screen and it uploads it.
7. When it finishes uploading i right-click the file on the Copy(dot)com page and i click share, which it then brings up a link which i then copy and paste into a new tab, then i click save or download (which ever it says) and i download it, When the download starts i click CTRL+J and it brings up the downloads and i copy the link location from the downloading file (then i would stop the download since i dont need it) And i then paste the new link i just got into a new tab, and it sends me to a page that i dont have to touch anything for it to download (otherwise known as a direct download link)
8. I copy that direct link to the download location for my modpack on the technic platform page.Then i save the modpack and exit out of my browser
9. I open up the technic launcher and copy and paste the modpack link to my technic launcher so the modpack pops up in my modpack list (Example: Tekkit, Tekkit Lite, Attack of the B Team)
10. I click launch/play, and it begins to download the modpack like it down with every new pack you are gonna play.
11. It finishes launching and in the lower left it says Minecraft 1.6.4 and it doesnt say the mods or minecraft forge like it should.
--------------------------------------------------------------------------------------------------------------------------------------------------------------------

Since those are the main steps, here is what i do after the confusion:
1. I exit out of the vanilla minecraft it just launched and go to the .technic folder>modpack>(My modpack)>mods and the mods ARE there but they wont load

-- If you have made it this far in the post I congratulate you, and all i have to say is Please help me! :(

Share this post


Link to post
Share on other sites
  • You have the wrong file as your modpack.jar. The modpack.jar file is simply the Forge universal binary JAR renamed to "modpack.jar".
  • Your ChickenBones mods (CodeChickenCore, Ender Storage, etc.) are out of date.
  • You have the Forge installer in the mods folder. This should be removed.
  • You have an old version of Galacticraft and are missing the dependency mod MicdoodleCore. Get the latest version and the dependencies here: http://ci.micdoodle8.com/job/Galacticraft/
  • You have two different versions of OpenModsLib in your mods folder.
  • You have Treecapitator mod but are missing the dependency mod bspkrsCore.
  • You have no config files in your modpack. This is always bad and often fatal, especially for 1.6.4 modpacks. After getting your pack working locally you should have a full compliment of config files in the config folder of your test environment. Include this folder and its contents in your modpack archive.

Address these issues and come back here if you are still having difficulties. However, for future reference, it is appropriate to always start a new thread of your own instead of hijacking someone else's support thread, especially when the thread is very old.

Share this post


Link to post
Share on other sites

What you said had worked! and i also found you @ '?do=embed' frameborder='0' data-embedContent>> which helped me a lot! :D

But now i ran into another problem, everything was working, and i added a few more mods while fixing the problems you issued me.

(Here's the link again if you need it to find out what my problem is http://www.technicpack.net/api/modpack/j-g-personal-modpack )

I dont know how to explain the problem any other way besides It just crashes, so i would check the console while it is starting up and since i dont know how to find the problem in crash reports

 

Also sorry about hijacking the thread, i was in need of help and i had just made the account to ask for help from you. Especially since i didnt know how to start my own thread, which is a noob mistake...

**EDIT** I have updated my modpack a bit more, and added some more mods, and i still dont know what is causing the modpack to crash.. Help asap, much appreciated ;)

Edited by Waff1eDonut

Share this post


Link to post
Share on other sites

At the risk of repeating myself... I'm going to repeat myself:

  • Your ChickenBones mods (CodeChickenCore, Ender Storage, etc.) are out of date.
  • You have no config files in your modpack. This is always bad and often fatal, especially for 1.6.4 modpacks. After getting your pack working locally you should have a full compliment of config files in the config folder of your test environment. Include this folder and its contents in your modpack archive.

As for your current pack:

  • You have the IC2 API archive in your mods folder. This does not belong and should be removed. If you wish to include IC2 (or supporting mods) in your 1.6.4 pack I recommend reading this post:
  • You have two different versions of CodeChickenLib in your mods1.6.4 folder. Remove the 1.0.0.61 version.
  • It appears that OptiFine and Galacticraft are conflicting. Galacticraft has had many updated versions since the last release of OptiFine and it is unlikely that OptiFine will be updating for 1.6.4. You will need to remove OptiFine to get Galacticraft working.
  • You have ArsMagica2 but not the dependency mod AnimationAPI.
  • Your version of OpenCCSensors (1.6.4.1B) does not match your version of Computercraft (1.63). You need the correct version of OpenCCSensors (1.6.4.4 works).

Please take this as constructive criticism, but it seems you have indeed made some of the changes for issues I reported without applying that knowledge to other parts of the pack or when you make changes. Things like multiple versions of the same mods (CCC), mods with dependencies (ComputerCraft with OCS, AM2 and AnimationAPI, etc.) should always be addressed and attention to detail will see you through. However, not addressing the issues I bring up (see the first two bullet points here) will usually result in heartache and sorrow. I will provide a few links to other posts I have made which may help you on some of the fundamentals.

 

Getting Mods:

Methodically Building a Pack:

Fixing ID Conflicts:

Share this post


Link to post
Share on other sites

This is waffle's brother speaking. i have done most of the things that you have told him to do to fix the modpack which were the following:

  • i got the config files for most of the mods
  • i got AnimationAPI
  • i got rid of the extra CodeChickenLib as you said
  • i got rid of optifine (i can live without it lol)

after i did this i came across a few mods that caused the game to crash upon launching (im assuming it has to do with ID conflicts, but i don't know how to fix them).

 

The mods that made the game crash were (i will list the file names):

  • DartCraft BETA 0.2.20v2
  • Galacticraft-MVJSUN-1.6.4-2.1.1
  • ICBM-1.4.2.386
  • Resonant-Engine-Development-1.2.0.266-universal
  • MattparksCore-1.6.4-2.1.1
  • OpenBlocks-1.2.9
  • openccsensors (i tried to find the version you specified but i could only find 1.6.4.5 and that made the game crash as well)
  • openeye-0.5-1.6.4
  • NotEnoughItems-1.6.4-1.6.1.9-universal
  • neiplugins-1.1.0.6
  • twilightforest-1.6.4-1.20.5

the mods above were the ones i could not get the config files for (obviously). and as for the CodeChickenCore and EnderStorage being out of date...i could only find mincraft version 1.7.10 of these mods (although i am still on the lookout for the correct versions) If you could help us out with us getting these last few mods on there i would be very appreciative, everything works so far except for the listed mods. I am doing my best to follow your directions/advice

 

also for the record i already have Universal Electricity in the modpack so i could use Resonant Engine and ICBM

 

*EDIT* i did not see the link on fixing ID conflicts until now, i will try to see if i can do it myself, but still, any advice from you would help as well

 

*EDIT 2* i forgot to mention im having trouble getting IC2 to run, and i dont know why.

Edited by PacoSellsTacos

Share this post


Link to post
Share on other sites

GREAT NEWS, i was right it was an ID conflict problem! although i couldnt solve it myself i found a mod that fixes it for me:

 

http://www.minecraftforum.net/forums/mapping-and-modding/minecraft-mods/1291014-idfix-and-idfix-minus-mods-for-resolving-id

 

all i need to do is put it in my own modpack and me and my brother can start playing :) but i will need help with that if my brother doesnt know how. ill update you if i need more help

 

*EDIT* when i start the world the game crashes, now i am completely stuck i am currently researching how to fix it on the forums but so far it hasnt been working out. if you could help us that would be nice :) i shall await your reply. here is the link for the modpack so you can download it and see whats wrong: http://www.technicpack.net/api/modpack/j-g-personal-modpack

Edited by PacoSellsTacos

Share this post


Link to post
Share on other sites

After that I was able to start your pack.

Share this post


Link to post
Share on other sites

I too am trying to make a modpack but seem to be getting the issue of it being vanilla minecraft when I upload it to technic and put it into the launcher. I have tested it and the modpack works when I override the Tekkit load with it but does not work properly when I use plowmanplow's Barebones pack. (It only comes up with 18 mods) This is my pack: http://www.technicpack.net/modpack/details/rainbows-flayres-magic.493276

Share this post


Link to post
Share on other sites

First of all Kalbintion. Someone else has asked for help from Plowmanplow on here and I was simply doing that. Also unless I'm mistaken this person had their question answered and I'm just trying to join the conversation not hijacking a thread.

Share this post


Link to post
Share on other sites

 

After that I was able to start your pack.

 

uh, can you please help me, i am going to list what i have in my modpack, the  problem with it is it opens vanilla minecraft

 

Corndogoz'_DreamPack:

     bin:

          modpack.jar

     mods:

          uh tell me if u need the list

     config:

 

 

please help again, thanks :psyduck::psyberger::psyduck::psyberger::psyduck::psyberger::psyduck::psyberger:

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Similar Content

    • By Nyrab
      When i put the mods in the server don't crash because of that, when i try to open I don't even receive a crash log, then i go to the last try log and it says that my port is already in use
      I used the default server port
    • By Nyrab
      I recently created a modpack, but i can't connect to my friends via Hamachi, so i tried to make a server but it gaves an error that i don't understand
      But in this topic i prefer start of the beggining, i need help to make a server or just a way that i can play with my friends via Hamachi
       
      PS:I want a free way to make it, i tried Aternos but i didn't find some mods that was in my modpack
    • By Rawffles
      Simulcraft Modpack official server!
       
      Simulcraft is a modpack aimed at providing the best possible user experience with a heavy lean on balance between tech and magic mods, some of the notable mods we have installed are: Galacticraft, Mekanism, Archimedes Ships, ReactorCraft, RotaryCraft, Decocraft2 and many more.

      Currently we have no banned items and are looking for staff, but please do not come onto the server and start off with "hey i want to be an admin, can i please be an admin?!"

      We also have a lot of plugins and mods aimed at server security, logging, and backups/rollbacks.

      Imagine spending 80 hours on your creation/base and someone comes along and griefs it, makes you feel pretty bad, my goal is to eliminate that altogether, it is my personal goal to protect every member on the server and give you the best security possible.
       
      Here's the Discord link!

      https://discord.gg/MmesZPt
       
      Modpack Link